<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>WinExe</OutputType>
     <BuiltInComInteropSupport>true</BuiltInComInteropSupport>
    <ApplicationManifest>app.manifest</ApplicationManifest>
  </PropertyGroup>
  <ItemGroup>
    <None Remove="Assets\avalonia-logo.ico" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="appsettings.Development.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="appsettings.Production.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <TrimmerRootAssembly Include="Avalonia.Themes.Fluent" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="MessageBox.Avalonia" Version="3.3.1.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Background Services\RandomLogging.Service\RandomLogging.Service.csproj" />
    <ProjectReference Include="..\..\Controls\LogViewer.Avalonia\LogViewer.Avalonia.csproj" />
    <ProjectReference Include="..\..\Core\MsLogger.Core\MsLogger.Core.csproj" />
  </ItemGroup>

  <ItemGroup>
    <AvaloniaResource Include="Assets\avalonia-logo.ico" />
  </ItemGroup>

</Project>
